package com.example.civilizedcity.common;

public class Constants {
    public final static String ROOT_ID = "1";    // 超级管理员ID
    public final static String ROOT_ORG = "1";  // 平台机构

    public final static int STATUS_DELETE = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;

    // 操作员身份
    // 督察员
    public final static String DUTY_INSPECTOR = "inspector";
    // 管理员
    public final static String DUTY_MANAGER = "manager";
    // 单位人员
    public final static String DUTY_ORG_USER = "org_user";
    // 单位管理员
    public final static String DUTY_ORG_MANAGER = "org_manager";
    // 查询员
    public final static String DUTY_QUERY_PERSON = "query_person";
    // 市民
    public final static String DUTY_CITIZEN = "citizen";

    // 问题单
    public final static String ATTACH_SOURCE_ISSUE = "issue";
    // 单位问题单
    public final static String ATTACH_SOURCE_ORG_ISSUE = "org-issue";

    // 督察员上报
    public final static String ISSUE_SOURCE_INSPECTOR = "inspector";
    // 市民上报
    public final static String ISSUE_SOURCE_FEEDBACK = "feedback";
    // 模拟测评
    public final static String ISSUE_SOURCE_CHECK = "check";

    // 提交审核
//    public final static String APPLY_VERIFY = "verify";
    public final static String APPLY_STATUS_PASS = "pass"; // 通过
    public final static String APPLY_STATUS_REJECT = "reject"; // 驳回
    public final static String APPLY_DELAY = "delay"; // 延期申请
    public final static String APPLY_REJECT = "reject"; // 驳回申请
    public final static String APPLY_VERIFY = "verify"; // 审核申请
    public final static String APPLY_END = "end"; // 办结申请

    // 待处理
    public final static String PROCESS_STATUS_READY = "ready";
    // 通过
    public final static String PROCESS_STATUS_PASS = "pass";
    // 未通过
    public final static String PROCESS_STATUS_REJECT = "reject";
    // 逾期
    public final static String PROCESS_STATUS_EXPIRED = "expired";


    // 流程起始: 待交办
    public final static String PROCESS_START = "start";
    public final static String PROCESS_RESTART = "restart";

    // 审核
    public final static String PROCESS_VERIFY = "verify";
    // 交办
    public final static String PROCESS_ASSIGNED = "assigned";
    // 延期申请
    public final static String PROCESS_ORG_DELAY_APPLY = "org_delay-apply";
    // 延期审核
    public final static String PROCESS_DELAY_VERIFY = "delay-verify";
    // 单位交办
    public final static String PROCESS_ORG_ASSIGNED = "org_assigned";
    // 单位审核
    public final static String PROCESS_ORG_VERIFY = "org_verify";
    // 办结申请
    public final static String PROCESS_ORG_FINISH_APPLY = "org_finish-apply";
    // 办结审核
    public final static String PROCESS_FINISH_VERIFY = "finish-verify";


    // 流程结束: 已办结
    public final static String PROCESS_END = "end";

    // 问题单
    public final static String MESSAGE_TARGET_ISSUE = "issue";
    // 申请流程
    public final static String MESSAGE_TARGET_APPLY = "apply";

    // 调查问卷
    public final static String CHECK_OF_LOC = "loc"; // 实地调查
    public final static String CHECK_OF_SURVEY = "survey"; // 调查问卷

    // 题型
    public final static String QU_OF_FILL = "fill"; // 填空题
    public final static String QU_OF_RADIO = "radio"; // 选择题
}
