package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaCheckAnswer;

import java.util.List;

/**
 * 测评作答;(ta_check_answer)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
@Mapper
public interface TaCheckAnswerMapper extends BaseMapper<TaCheckAnswer> {

    Integer countByItem(@Param("itemId") String itemId);

    List<TaCheckAnswer> getListBy(@Param("itemId") String itemId);

    Double sumScore(@Param("itemId") String itemId, @Param("num") Integer num);

    int getCountByUser(@Param("itemId") String itemId, @Param("userId") String userId);
}