package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.common.EncryptUtils;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.vo.WxChangePwd;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysLogin;
import com.example.civilizedcity.mapper.SysLoginMapper;
import com.example.civilizedcity.service.SysLoginService;

/**
 * 系统账户表;(sys_login)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysLoginServiceImpl extends BaseServiceImpl<SysLoginMapper, SysLogin> implements SysLoginService {

    @Override
    public boolean changePassword(SysUser user, WxChangePwd wxChangePwd) {

        String pwd = EncryptUtils.md5(wxChangePwd.getPassword(), user.getUserId());
        baseMapper.updatePassword(user.getUserId(), pwd);

        return false;
    }
}