package com.example.civilizedcity.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaCheckAnswer;
import com.example.civilizedcity.mapper.TaCheckAnswerMapper;
import com.example.civilizedcity.service.TaCheckAnswerService;

/**
 * 测评作答;(ta_check_answer)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Service
public class TaCheckAnswerServiceImpl extends BaseServiceImpl<TaCheckAnswerMapper, TaCheckAnswer> implements TaCheckAnswerService {

    @Override
    public int getCountByUser(String itemId, String userId) {
        return baseMapper.getCountByUser(itemId, userId);
    }

    @Override
    public int countByItem(String itemId) {
        return baseMapper.countByItem(itemId);
    }
}