package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaIssue;
import com.example.civilizedcity.mapper.TaIssueMapper;
import com.example.civilizedcity.service.TaIssueService;

/**
 * 问题表;(ta_issue)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class TaIssueServiceImpl extends BaseServiceImpl<TaIssueMapper, TaIssue> implements TaIssueService {

    @Override
    public IPage<TaIssue> getPageBy(IPage<TaIssue> pg, String orgId) {
        if (null == orgId) {
            return baseMapper.getAllBy(pg);
        }


        return baseMapper.getPageBy(pg, orgId);
    }

    @Override
    public void updateValidateStatus(Integer issueId, int validateStatus) {
        baseMapper.updateValidateStatus(issueId, validateStatus);
    }

    @Override
    public void updateApply(Integer issueId, String applyType, Integer applyId) {
        baseMapper.updateApply(issueId, applyType, applyId);
    }
}